Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface MiscSet

All Superinterfaces:
  Persistent, java.io.Serializable

public interface MiscSet
extends Persistent

MiscSets represent classsifications or groupings of MiscFeatures. Features are classified into sets essentially to define what they are and how they may be used. Generally MiscFeatures are retrieved on the basis of their associated sets.

Author:
  Craig Melsopp
See Also:
  `MiscSetAdaptor`, `MiscFeature`, `MiscFeatureAdaptor`

Method Summary
`java.lang.String` | `getCode()` Code for this MiscSet.
`java.lang.String` | `getDescription()` Description of this MiscSet.
`int` | `getMaxFeatureLength()` Maximum length of features in this set
`java.lang.String` | `getName()` Name of this MiscSet
`void` | `setCode(java.lang.String code)` Code for this MiscSet.
`void` | `setDescription(java.lang.String description)` Description of this MiscSet.
`void` | `setMaxFeatureLength(int maxFeatures)` Maximum length of features in this set
`void` | `setName(java.lang.String name)` Name of this MiscSet

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getName

    public java.lang.String getName()

  Name of this MiscSet

  Returns:
    name of the set.

### setName

    public void setName(java.lang.String name)

  Name of this MiscSet

  Parameters:
    `name` - of the set.

### getDescription

    public java.lang.String getDescription()

  Description of this MiscSet.

  Returns:
    description of this set

### setDescription

    public void setDescription(java.lang.String description)

  Description of this MiscSet.

  Parameters:
    `description` - description of this set

### getCode

    public java.lang.String getCode()

  Code for this MiscSet.

  Returns:
    unique code for this set.

### setCode

    public void setCode(java.lang.String code)

  Code for this MiscSet.

  Parameters:
    `code` - unique code for this set.

### getMaxFeatureLength

    public int getMaxFeatureLength()

  Maximum length of features in this set

  Returns:
    Maximum length of features in this set

### setMaxFeatureLength

    public void setMaxFeatureLength(int maxFeatures)

  Maximum length of features in this set

  Parameters:
    `maxFeatures` - Maximum length of features in this set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD